Group: Publishing
# BEGIN SourceDeps(oneline):
BuildRequires: gcc-c++
# END SourceDeps(oneline)
Name:           figtoipe
Version:        20091205
Release:        alt1_12
Summary:        FIG to IPE conversion tool
#
# GPLv2, with an exception for the CGAL libraries.
License:        GPLv2+ with exceptions
#
URL:            http://ipe7.sourceforge.net/
Source0:        http://downloads.sourceforge.net/ipe7/tools/%{name}-%{version}.tar.gz
Source1:        http://www.gnu.org/licenses/gpl-2.0.txt
BuildRequires:  perl
BuildRequires:  zlib-devel
Source44: import.info

%description
Figtoipe is a program that reads FIG files (as generated by
xfig) and generates an XML file readable by the Ipe editor.

%prep
%setup -q
sed -i -e 's/\r//' README figtoipe.cpp
chmod a-x README figtoipe.cpp

# extract the changelog from figtoipe.cpp
perl -ne 'if(m|\* Changes| .. m|\*/|) { m| \* (.*)| && print "$1\n";}' < figtoipe.cpp > CHANGES
# extract the license terms from figtoipe.cpp
perl -ne 'if(m|This file| .. m| USA.$|) { print;}' < figtoipe.cpp > LICENSE

cp %{SOURCE1} .

%build
%{__cxx} %{optflags} -o figtoipe figtoipe.cpp %{?__global_ldflags} -lz

%install
mkdir -p %{buildroot}%{_bindir} %{buildroot}%{_mandir}/man1
install -pm0755 figtoipe %{buildroot}%{_bindir}
install -pm0644 figtoipe.1 %{buildroot}%{_mandir}/man1

%files
%doc CHANGES gpl-2.0.txt LICENSE README
%{_bindir}/figtoipe
%{_mandir}/man1/figtoipe.1*

%changelog
* Wed Mar 02 2016 Igor Vlasenko <viy@altlinux.ru> 20091205-alt1_12
- update to new release by fcimport

* Mon Sep 21 2015 Igor Vlasenko <viy@altlinux.ru> 20091205-alt1_11
- update to new release by fcimport

* Wed Sep 10 2014 Igor Vlasenko <viy@altlinux.ru> 20091205-alt1_9
- update to new release by fcimport

* Mon Jul 07 2014 Igor Vlasenko <viy@altlinux.ru> 20091205-alt1_8
- update to new release by fcimport

* Thu Aug 22 2013 Igor Vlasenko <viy@altlinux.ru> 20091205-alt1_7
- update to new release by fcimport

* Thu Feb 21 2013 Igor Vlasenko <viy@altlinux.ru> 20091205-alt1_6
- update to new release by fcimport

* Mon Dec 24 2012 Igor Vlasenko <viy@altlinux.ru> 20091205-alt1_5
- initial fc import

